#include "mydebug.h"

#include "HardwareProfile.h"
#include "timer.h"

#define DEFAULT_NUM_SHORT_FLASHES   2
#define SHORT_DELAY         100
#define blink(delay_ms) \
do { \
    TRISFbits.TRISF3 = 0; \
    DelayMs(delay_ms); \
    TRISFbits.TRISF3 = 1; \
    DelayMs(delay_ms); \
} while (0)

void mySignal(int n)
{
    LATFbits.LATF3 = 0;
    int i = 0;
    n = n ? n : DEFAULT_NUM_SHORT_FLASHES;

    for (i = 0; i < n ; i++) {
        blink(SHORT_DELAY);
    }
//    TRISFbits.TRISF3 = 0;
//    DelayMs(500);
    TRISFbits.TRISF3 = 1;
    DelayMs(500);

    LATFbits.LATF3 = 1;
}

void myPulseSignal(int len)
{
    LATFbits.LATF3 = 0;
    len = len ? len : SHORT_DELAY;

    TRISFbits.TRISF3 = 0;
    DelayMs(len);
    TRISFbits.TRISF3 = 1;
    DelayMs(500);

    LATFbits.LATF3 = 1;
}


#define blink0  \
do { \
    blink(100); \
    blink(100); \
    blink(100); \
    blink(100); \
    DelayMs(500); \
} while (0)

#define blink1  \
do { \
    TRISFbits.TRISF3 = 0; \
    DelayMs(500); \
    TRISFbits.TRISF3 = 1; \
    DelayMs(500); \
} while (0)

/**
 * Signal byte contents by flashing yellow LED.
 * 
 * @param src
 * @param n
 */
void bytesSignal(char *src, int n)
{
    int i, j;

    LATFbits.LATF3 = 0;
    
    for (i = 0; i < n; i++) {
        char byte = src[i];
        for (j = 7; j >= 0; j--) {
            if ((byte >> j) & 0x1) {
                blink1;
            } else {
                blink0;
            }
        }
    }

    LATFbits.LATF3 = 1;
    DelayMs(1000)
}
